<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.common.mapper.ShippingTemplateRuleAreaMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.common.domain.ShippingTemplateRuleArea">
        <id column="id" property="id" />
        <result column="shipping_template_rule_id" property="shippingTemplateRuleId" />
        <result column="province" property="province" />
        <result column="province_id" property="provinceId" />
        <result column="city" property="city" />
        <result column="city_id" property="cityId" />
        <result column="remark" property="remark" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, shipping_template_rule_id, province, province_id, city, city_id, remark, created_time, updated_time
    </sql>

</mapper>